*:*********************************************************************
*:
*:        Program: TXINVOIC.PRG
*:
*:         System: Texas Associated Software Laser Library
*:         Author: Jose E. Lopez, Jr.
*:      Copyright (c) 1991, Texas Associated Software - Red Oak, TX
*:
*:*********************************************************************

txinit(_print_port)
txreset()
txpagesize("letter")
txorient("P")
txsetlpi(6)

_company   = "Texas Associated Software"
_address1  = "523 La Cresta Drive"
_address2  = "Red Oak, TX  75154"
_phone     = "(214) 617-5260"

_customer  = "Customer Name"
_caddress1 = "Customer Address 1"
_caddress2 = "Customer Address 2"
_cphone    = "Customer City/State/Zip"

_invoiceno = "PH0701910"
_purchordr = "Phone Order"
_payterms  = "On Reciept"

do txmacro                  && Define macro to print invoice form
&& and constants

txcour12r()                 && Set font to Courier 12 point 10 cpi
&& Changed with Release 1.11

for i = 1 to 2
   txcolprint(03, 54, .f., _invoiceno + str(i,1))
   txcolprint(03, 65, .f., dtoc(Date()))
   txcolprint(08, 58, .f., _purchordr)
   txcolprint(13, 58, .f., _payterms)

   txcolprint(14, 10, .t., _customer + " " + str(i,1))
   txcolprint(15, 10, .f., _caddress1)
   txcolprint(16, 10, .f., _caddress2)
   txcolprint(17, 10, .f., _cphone)

   txcolprint(24, 10, .f., "TexAS Laser Printer Library")
   txcolprint(24, 75, .f., "4995")
   txcolprint(25, 10, .f., "Serial #1234567")
   txcolprint(52, 75, .f., "4995")
   txcolprint(60, 75, .t., "4995")

   txoverlay(1)         && Print invoice form using macro # 1 overlay
   txpsource(0)         && Print current page
Next

txclear()

*!*********************************************************************
*!
*!      Procedure: TXMACRO
*!
*!*********************************************************************
procedure txmacro

txmacbegin(1)        && Start Macro #1 Definition

txsetlpi(12)         && Set to print 12 lpi for vertical print
txlnprt85()          && Set font to Line Printer 8.5 point 16.67 cpi

txcolbox(01, 01, 50, 08, 1)        && Draw From Box
txgraybar(09, 03, 49, 01, 15)      && Draw Shadow under box
txgraybar(02, 51, 02, 08, 15)      && Draw Shadow right side
txcolbox(01, 55, 20, 01, 1, 20)    && Draw Invoice/Date Box Header
txcolbox(01, 55, 20, 04, 1)        && Draw Invoice/Date Box
txcolbox(01, 55, 10, 04, 1)        && Draw Invoice/Date divider
txcolbox(06, 55, 20, 04, 1)        && Draw PO Box
txcolbox(06, 55, 20, 01, 1, 20)    && Draw PO Header
txcolbox(11, 55, 20, 04, 1)        && Draw Terms Box
txcolbox(11, 55, 20, 01, 1, 20)    && Draw Terms Header
txcolbox(12, 01, 50, 08, 1, 20)    && Draw Ship To Box
txcolbox(22, 01, 79, 01, 1, 20)    && Draw Invoice Header
txcolbox(22, 71, 09, 40, 1)        && Draw Amount divider
txcolbox(22, 01, 79, 30, 1,  0, 5) && Draw Invoice Box
txcolbox(23, 78, 02, 39, 1)        && Draw Cents divider
txcolbox(52, 01, 79, 10, 1,  0, 5) && Draw Comments Box
txcolbox(52, 53, 27, 10, 1, 10)    && Draw Totals Box

txvprint(02, 01, "From")
txvprint(24, 01, "Ship To")
txvprint(108, 01, "Comments")

txsetlpi(6)

txdotprint(1700,   40, .t., "INVOICE#          DATE")
txdotprint(1775,  290, .t., "PURCHASE ORDER#")
txdotprint(1800,  540, .t., "PAYMENT TERMS")
txdotprint(0900, 1088, .t., "PRODUCT OR SERVICES")
txdotprint(2200, 1088, .t., "AMOUNT")
txcolprint(52, 105, .t., "TOTAL")
txcolprint(53, 105, .t., "SALES TAX")
txcolprint(54, 105, .t., "SHIPPING")
txcolprint(55, 105, .t., "MISC")

txcour12r()                 && Set font to Courier 12 point 10 cpi

txcolprint(02, 10, .t., _company)
txcolprint(03, 10, .f., _address1)
txcolprint(04, 10, .f., _address2)
txcolprint(05, 10, .f., _phone)

for i = 24 to 50 step 2
   txgraybar( i, 01, 79, 01, 10)
Next

txcolprint(60, 54, .t., "Pay This Amount")
txcolprint(53, 05, .t., "Thank you for your business")
txcolprint(55, 05, .f., "Your order supports the ShareWare concept")
txcolprint(57, 05, .f., "Include your serial# in all correspondence")

txmacend(1)        && Stop Macro #1 Definition

*: EOF: TXINVOIC.PRG
